package de.unikoblenz.fgbks.base.utils.boundary.impl;

import de.unikoblenz.fgbks.base.utils.boundary.Boundary;
import de.unikoblenz.fgbks.base.utils.boundary.checker.BoundaryCheckType;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VTypeRef;

public class InvalidBoundary implements Boundary {

  private static InvalidBoundary instance = new InvalidBoundary();

  private InvalidBoundary() {}

  public static InvalidBoundary getInstance() {
    return instance;
  }

  @Override
  public VTypeRef getTypeRef() {
    return null;
  }

  @Override
  public String getText() {
    return "null";
  }

  @Override
  public boolean checkWith(BoundaryCheckType checkType, Boundary other) {
    return false;
  }

  @Override
  public int compareTo(Boundary o) {
    return 0;
  }
}
